Philipp von Weitershausen wrote at 2007-9-3 13:46 +0200:
> ... known working sets ...

As you wrote, pinning down versions induces potential conflicts.

Therefore, it might be helpful, if the known working set would not
need to be a singleton (consists of just one element).

Assume the following use case:

  I use grok to build one of my applications.
  I need a another component as well which conflicts with grok.
  I override the grok configuration to get the version required
  for the other component.
  I run the grok testsuite and can then report to the grok community:
  "grok" is working with version V of component C as well.

This kind of information would be helpful for integrators.
It need not necessary be automatically supported by "buildout".

Zope3-dev mailing list

Reply via email to